<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Hoteller_Templates_Source extends Elementor\TemplateLibrary\Source_Base {

	/**
	 * Template prefix
	 *
	 * @var string
	 */
	protected $template_prefix = 'hoteller_';

	/**
	 * Return Hoteller templates prefix
	 *
	 * @return [type] [description]
	 */
	public function get_prefix() {
		return $this->template_prefix;
	}

	public function get_id() {
		return 'hoteller-templates';
	}

	public function get_title() {
		return __( 'Hoteller Templates', 'hoteller-elementor' );
	}

	public function register_data() {}

	public function get_items( $args = array() ) {
		
		$templates = array();

		$templates_data = array(
			1 	=> array(
				'template_id'      	=> $this->template_prefix .'1',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_1.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/about-us/',
			),
			2 	=> array(
				'template_id'      	=> $this->template_prefix .'2',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_2.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/our-rooms/',
			),
			3 	=> array(
				'template_id'      	=> $this->template_prefix .'3',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_3.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/contact/',
			),
			4 	=> array(
				'template_id'      	=> $this->template_prefix .'4',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Offer & Package',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_4.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('offer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/offer-package/',
			),
			5 	=> array(
				'template_id'      	=> $this->template_prefix .'5',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Testimonial',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_5.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('testimonial'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/testimonial/',
			),
			6 	=> array(
				'template_id'      	=> $this->template_prefix .'6',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Our Menus',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_6.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our menus'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/our-menus/',
			),
			7 	=> array(
				'template_id'      	=> $this->template_prefix .'7',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_7.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/blog/',
			),
			8 	=> array(
				'template_id'      	=> $this->template_prefix .'8',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Explore',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_8.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('explore'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/explore/',
			),
			9 	=> array(
				'template_id'      	=> $this->template_prefix .'9',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Terms & Conditions',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_9.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('terms', 'conditions'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/terms-and-conditions/',
			),
			10 	=> array(
				'template_id'      	=> $this->template_prefix .'10',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Gallery',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_10.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('gallery'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/gallery/',
			),
			11 	=> array(
				'template_id'      	=> $this->template_prefix .'11',
				'source'            => $this->get_id(),
				'title'             => 'Luxury Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_11.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/',
			),
			12 	=> array(
				'template_id'      	=> $this->template_prefix .'12',
				'source'            => $this->get_id(),
				'title'             => 'City Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_12.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/city/our-rooms/',
			),
			13 	=> array(
				'template_id'      	=> $this->template_prefix .'13',
				'source'            => $this->get_id(),
				'title'             => 'City Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_13.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/city/about-us/',
			),
			14 	=> array(
				'template_id'      	=> $this->template_prefix .'14',
				'source'            => $this->get_id(),
				'title'             => 'City Hoteller - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_14.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/city/blog/',
			),
			15 	=> array(
				'template_id'      	=> $this->template_prefix .'15',
				'source'            => $this->get_id(),
				'title'             => 'City Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_15.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/city/',
			),
			16 	=> array(
				'template_id'      	=> $this->template_prefix .'16',
				'source'            => $this->get_id(),
				'title'             => 'Mountain Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_16.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/mountain/our-rooms/',
			),
			17 	=> array(
				'template_id'      	=> $this->template_prefix .'17',
				'source'            => $this->get_id(),
				'title'             => 'Mountain Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_17.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/mountain/about-us/',
			),
			18 	=> array(
				'template_id'      	=> $this->template_prefix .'18',
				'source'            => $this->get_id(),
				'title'             => 'Mountain Hoteller - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_18.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/mountain/blog/',
			),
			19 	=> array(
				'template_id'      	=> $this->template_prefix .'19',
				'source'            => $this->get_id(),
				'title'             => 'Beach Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_19.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/beach/our-rooms/',
			),
			20 	=> array(
				'template_id'      	=> $this->template_prefix .'20',
				'source'            => $this->get_id(),
				'title'             => 'Beach Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_20.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/beach/about-us/',
			),
			21 	=> array(
				'template_id'      	=> $this->template_prefix .'21',
				'source'            => $this->get_id(),
				'title'             => 'Beach Hoteller - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_21.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/beach/blog/',
			),
			22 	=> array(
				'template_id'      	=> $this->template_prefix .'22',
				'source'            => $this->get_id(),
				'title'             => 'Beach Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_22.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/beach/',
			),
			23 	=> array(
				'template_id'      	=> $this->template_prefix .'23',
				'source'            => $this->get_id(),
				'title'             => 'Apartment Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_23.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/apartment/our-rooms/',
			),
			24 	=> array(
				'template_id'      	=> $this->template_prefix .'24',
				'source'            => $this->get_id(),
				'title'             => 'Apartment Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_24.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/apartment/about-us/',
			),
			25 	=> array(
				'template_id'      	=> $this->template_prefix .'25',
				'source'            => $this->get_id(),
				'title'             => 'Apartment Hoteller - Blog',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_25.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('blog'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/apartment/blog/',
			),
			26 	=> array(
				'template_id'      	=> $this->template_prefix .'26',
				'source'            => $this->get_id(),
				'title'             => 'Apartment Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_26.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/apartment/',
			),
			27 	=> array(
				'template_id'      	=> $this->template_prefix .'27',
				'source'            => $this->get_id(),
				'title'             => 'Cultural Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_27.png',
				'date'      		=> date( get_option( 'date_format' ), 1539340117 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/cultural/',
			),
			28 	=> array(
				'template_id'      	=> $this->template_prefix .'28',
				'source'            => $this->get_id(),
				'title'             => 'Cultural Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_28.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/cultural/our-rooms/',
			),
			29 	=> array(
				'template_id'      	=> $this->template_prefix .'29',
				'source'            => $this->get_id(),
				'title'             => 'Cultural Hoteller - Dining',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_29.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('dining'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/cultural/dining/',
			),
			30 	=> array(
				'template_id'      	=> $this->template_prefix .'30',
				'source'            => $this->get_id(),
				'title'             => 'Cultural Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_30.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/cultural/about-us/',
			),
			31 	=> array(
				'template_id'      	=> $this->template_prefix .'31',
				'source'            => $this->get_id(),
				'title'             => 'Cultural Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_31.png',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/cultural/contact/',
			),
			32 	=> array(
				'template_id'      	=> $this->template_prefix .'32',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_32.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/our-rooms/',
			),
			33 	=> array(
				'template_id'      	=> $this->template_prefix .'33',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Dining',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_33.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('dining'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/dining/',
			),
			34 	=> array(
				'template_id'      	=> $this->template_prefix .'34',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_34.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/about/',
			),
			35 	=> array(
				'template_id'      	=> $this->template_prefix .'35',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_35.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/contact/',
			),
			36 	=> array(
				'template_id'      	=> $this->template_prefix .'36',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_36.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('book now'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/booking-now/',
			),
			37 	=> array(
				'template_id'      	=> $this->template_prefix .'37',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_37.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/',
			),
			38 	=> array(
				'template_id'      	=> $this->template_prefix .'38',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_38.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/accommodation/superior-room/',
			),
			39 	=> array(
				'template_id'      	=> $this->template_prefix .'39',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_39.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/our-rooms/',
			),
			40 	=> array(
				'template_id'      	=> $this->template_prefix .'40',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Dining',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_40.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('dining'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/dining/',
			),
			41 	=> array(
				'template_id'      	=> $this->template_prefix .'41',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_41.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/about-the-hotel/',
			),
			42 	=> array(
				'template_id'      	=> $this->template_prefix .'42',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_42.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/contact/',
			),
			43 	=> array(
				'template_id'      	=> $this->template_prefix .'43',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_43.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('book now'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/book-now/',
			),
			44 	=> array(
				'template_id'      	=> $this->template_prefix .'44',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_44.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/',
			),
			45 	=> array(
				'template_id'      	=> $this->template_prefix .'45',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_45.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/bedandbreakfast/accommodation/superior-room/',
			),
			46 	=> array(
				'template_id'      	=> $this->template_prefix .'46',
				'source'            => $this->get_id(),
				'title'             => 'Mountain Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_46.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv1.themegoods.com/mountain/',
			),
			47 	=> array(
				'template_id'      	=> $this->template_prefix .'47',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_47.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/',
			),
			48 	=> array(
				'template_id'      	=> $this->template_prefix .'48',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_48.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/about-us/',
			),
			49 	=> array(
				'template_id'      	=> $this->template_prefix .'49',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_49.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/our-rooms/',
			),
			50 	=> array(
				'template_id'      	=> $this->template_prefix .'50',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Our Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_50.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/our-restaurant/',
			),
			51 	=> array(
				'template_id'      	=> $this->template_prefix .'51',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_51.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/contact-us/',
			),
			55 	=> array(
				'template_id'      	=> $this->template_prefix .'55',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_55.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/accommodation/signature-room/',
			),
			52 	=> array(
				'template_id'      	=> $this->template_prefix .'52',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_52.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/',
			),
			53 	=> array(
				'template_id'      	=> $this->template_prefix .'53',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_53.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/about-us/',
			),
			54 	=> array(
				'template_id'      	=> $this->template_prefix .'54',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_54.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/our-rooms/',
			),
			56 	=> array(
				'template_id'      	=> $this->template_prefix .'56',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Our Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_56.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/our-restaurant/',
			),
			57 	=> array(
				'template_id'      	=> $this->template_prefix .'57',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_57.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/contact-us/',
			),
			58 	=> array(
				'template_id'      	=> $this->template_prefix .'58',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_58.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1531297160 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/accommodation/superior-room/',
			),
			
			59 	=> array(
				'template_id'      	=> $this->template_prefix .'59',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_59.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/',
			),
			
			60 	=> array(
				'template_id'      	=> $this->template_prefix .'60',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_60.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/our-rooms/',
			),
			
			61 	=> array(
				'template_id'      	=> $this->template_prefix .'61',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Experience',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_61.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('experience'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/experience/',
			),
			
			62 	=> array(
				'template_id'      	=> $this->template_prefix .'62',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_62.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/contact/',
			),
			
			63 	=> array(
				'template_id'      	=> $this->template_prefix .'63',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_63.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/accommodation/superior-room/',
			),
			
			64 	=> array(
				'template_id'      	=> $this->template_prefix .'64',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_64.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/',
			),
			
			65 	=> array(
				'template_id'      	=> $this->template_prefix .'65',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_65.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/our-rooms/',
			),
			
			66 	=> array(
				'template_id'      	=> $this->template_prefix .'66',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_66.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/about-us/',
			),
			
			67 	=> array(
				'template_id'      	=> $this->template_prefix .'67',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_67.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/restaurant/',
			),
			
			68 	=> array(
				'template_id'      	=> $this->template_prefix .'68',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_68.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/contact-us/',
			),
			
			69 	=> array(
				'template_id'      	=> $this->template_prefix .'69',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_69.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/',
			),
			
			70 	=> array(
				'template_id'      	=> $this->template_prefix .'70',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_70.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/our-rooms/',
			),
			
			71 	=> array(
				'template_id'      	=> $this->template_prefix .'71',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - About',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_71.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/about/',
			),
			
			72 	=> array(
				'template_id'      	=> $this->template_prefix .'72',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_72.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/restaurant/',
			),
			
			73 	=> array(
				'template_id'      	=> $this->template_prefix .'73',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Wellness',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_73.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('wellness'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/wellness/',
			),
			
			74 	=> array(
				'template_id'      	=> $this->template_prefix .'74',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_74.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/contact/',
			),
			
			75 	=> array(
				'template_id'      	=> $this->template_prefix .'75',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Single Accommodation',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_75.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single accommodation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/accommodation/superior-room/',
			),
			
			76 	=> array(
				'template_id'      	=> $this->template_prefix .'76',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_76.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/',
			),
			
			77 	=> array(
				'template_id'      	=> $this->template_prefix .'77',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_77.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/our-rooms/',
			),
			
			78 	=> array(
				'template_id'      	=> $this->template_prefix .'78',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_78.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/accommodation/standard-dorm-bed/',
			),
			
			79 	=> array(
				'template_id'      	=> $this->template_prefix .'79',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - About',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_79.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/about/',
			),
			
			80 	=> array(
				'template_id'      	=> $this->template_prefix .'80',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_80.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact us'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/contact-us/',
			),
			
			81 	=> array(
				'template_id'      	=> $this->template_prefix .'81',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Gallery',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_81.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('gallery'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/gallery/',
			),
			
			82 	=> array(
				'template_id'      	=> $this->template_prefix .'82',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_82.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/',
			),
			
			83 	=> array(
				'template_id'      	=> $this->template_prefix .'83',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Select Locations',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_83.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('locations'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/select-locations/',
			),
			
			84 	=> array(
				'template_id'      	=> $this->template_prefix .'84',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_84.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/our-rooms/',
			),
			
			85 	=> array(
				'template_id'      	=> $this->template_prefix .'85',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_85.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/accommodation/deluxe-room/',
			),
			
			86 	=> array(
				'template_id'      	=> $this->template_prefix .'86',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_86.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about us'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/about-us/',
			),
			
			87 	=> array(
				'template_id'      	=> $this->template_prefix .'87',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_87.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/restaurant/',
			),
			
			88 	=> array(
				'template_id'      	=> $this->template_prefix .'88',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Contact',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_88.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/contact/',
			),
			
			89 	=> array(
				'template_id'      	=> $this->template_prefix .'89',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_89.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/',
			),
			
			90 	=> array(
				'template_id'      	=> $this->template_prefix .'90',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - About The Hotel',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_90.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/about-the-hotel/',
			),
			
			91 	=> array(
				'template_id'      	=> $this->template_prefix .'91',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_91.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/our-rooms/',
			),
			
			92 	=> array(
				'template_id'      	=> $this->template_prefix .'92',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_92.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/accommodation/standard-room/',
			),
			
			93 	=> array(
				'template_id'      	=> $this->template_prefix .'93',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Wellness & Spa',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_93.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('wellness, spa'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/wellness-spa/',
			),
			
			94 	=> array(
				'template_id'      	=> $this->template_prefix .'94',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Restaurant & Bar',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_94.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/restaurant-bar/',
			),
			
			95 	=> array(
				'template_id'      	=> $this->template_prefix .'95',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_95.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/contact-us/',
			),
			
			96 	=> array(
				'template_id'      	=> $this->template_prefix .'96',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_96.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('booking'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/book-now-executive-suite/',
			),
			
			97 	=> array(
				'template_id'      	=> $this->template_prefix .'97',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_97.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/',
			),
			
			98 	=> array(
				'template_id'      	=> $this->template_prefix .'98',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_98.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/our-rooms/',
			),

			99 	=> array(
				'template_id'      	=> $this->template_prefix .'99',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_99.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/accommodation/standard-room/',
			),
			
			100 	=> array(
				'template_id'      	=> $this->template_prefix .'100',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_100.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/about-us/',
			),
			
			101 	=> array(
				'template_id'      	=> $this->template_prefix .'101',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Restaurant & Bar',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_101.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/restaurant-bar/',
			),
			
			102 	=> array(
				'template_id'      	=> $this->template_prefix .'102',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_102.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/contact-us/',
			),
			
			103 	=> array(
				'template_id'      	=> $this->template_prefix .'103',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_103.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('booking'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/book-now/',
			),
			
			104 	=> array(
				'template_id'      	=> $this->template_prefix .'104',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_104.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/',
			),
			
			105 	=> array(
				'template_id'      	=> $this->template_prefix .'105',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_105.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/our-rooms/',
			),
			
			106 	=> array(
				'template_id'      	=> $this->template_prefix .'106',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_106.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/accommodation/standard-room/',
			),
			
			107 	=> array(
				'template_id'      	=> $this->template_prefix .'107',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_107.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/restaurant/',
			),
			
			108 	=> array(
				'template_id'      	=> $this->template_prefix .'108',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_108.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/about-us/',
			),
			
			109 	=> array(
				'template_id'      	=> $this->template_prefix .'109',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_109.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('booking'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/book-now/',
			),
			
			110 	=> array(
				'template_id'      	=> $this->template_prefix .'110',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_110.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/',
			),
			
			111 	=> array(
				'template_id'      	=> $this->template_prefix .'111',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_111.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/our-rooms/',
			),
			
			112 	=> array(
				'template_id'      	=> $this->template_prefix .'112',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_112.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/accommodation/deluxe-room/',
			),
			
			113 	=> array(
				'template_id'      	=> $this->template_prefix .'113',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - About The Hotel',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_113.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/about-the-hotel/',
			),
			
			114 	=> array(
				'template_id'      	=> $this->template_prefix .'114',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_114.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/restaurant/',
			),
			
			115 	=> array(
				'template_id'      	=> $this->template_prefix .'115',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Spa & Wellness',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_115.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('spa', 'wellness'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/spa-wellness/',
			),
			
			116 	=> array(
				'template_id'      	=> $this->template_prefix .'116',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Book Now',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_116.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('booking'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/book-now-alpine-suite/',
			),
			
			117 	=> array(
				'template_id'      	=> $this->template_prefix .'117',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Home',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_117.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('home'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/',
			),
			
			118 	=> array(
				'template_id'      	=> $this->template_prefix .'118',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - About Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_118.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('about'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/about-us/',
			),
			
			119 	=> array(
				'template_id'      	=> $this->template_prefix .'119',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Our Rooms',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_119.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('our rooms'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/our-rooms/',
			),
			
			120 	=> array(
				'template_id'      	=> $this->template_prefix .'120',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Single Room',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_120.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('single room'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/accommodation/standard-room/',
			),
			
			121 	=> array(
				'template_id'      	=> $this->template_prefix .'121',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Restaurant',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_121.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('restaurant'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/restaurant/',
			),
			
			122 	=> array(
				'template_id'      	=> $this->template_prefix .'122',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Contact Us',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_122.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1695631025 ),
				'type'				=> 'page',
				'subtype'			=> 'page',
				'author'            => 'ThemeGoods',
				'categories'        => array(),
				'keywords'          => array('contact'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/contact-us/',
			),
			
			//Adding navigation menu block templates
			501 => array(
				'template_id'      	=> $this->template_prefix .'501',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_501.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/header/header/',
			),
			502 => array(
				'template_id'      	=> $this->template_prefix .'502',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_502.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/header/header/',
			),
			503 => array(
				'template_id'      	=> $this->template_prefix .'503',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_503.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/header/header/',
			),
			504 => array(
				'template_id'      	=> $this->template_prefix .'504',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_504.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/header/header/',
			),
			505 => array(
				'template_id'      	=> $this->template_prefix .'505',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_505.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/header/header-transparent/',
			),
			506 => array(
				'template_id'      	=> $this->template_prefix .'506',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_506.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/header/header/',
			),
			507 => array(
				'template_id'      	=> $this->template_prefix .'507',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_507.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/header/header/',
			),
			
			508 => array(
				'template_id'      	=> $this->template_prefix .'508',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_508.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/blog/header/header/',
			),
			
			509 => array(
				'template_id'      	=> $this->template_prefix .'509',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_509.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/header/header/',
			),
			
			510 => array(
				'template_id'      	=> $this->template_prefix .'510',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_510.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/blog/header/header/',
			),
			
			511 => array(
				'template_id'      	=> $this->template_prefix .'511',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_511.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/header/header/',
			),
			
			512 => array(
				'template_id'      	=> $this->template_prefix .'512',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_512.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/header/header/',
			),
			
			513 => array(
				'template_id'      	=> $this->template_prefix .'513',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_513.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/header/header/',
			),
			
			514 => array(
				'template_id'      	=> $this->template_prefix .'514',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Header',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_514.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme navigation menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('navigation'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/header/header/',
			),
			
			//Adding footer block templates
			701 => array(
				'template_id'      	=> $this->template_prefix .'701',
				'source'            => $this->get_id(),
				'title'             => 'Boutique Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_701.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/boutique/footer/footer/',
			),
			702 => array(
				'template_id'      	=> $this->template_prefix .'702',
				'source'            => $this->get_id(),
				'title'             => 'Bed & Breakfast Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_702.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/footer/footer/',
			),
			703 => array(
				'template_id'      	=> $this->template_prefix .'703',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_703.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/footer/footer/',
			),
			704 => array(
				'template_id'      	=> $this->template_prefix .'704',
				'source'            => $this->get_id(),
				'title'             => 'Lodge Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_704.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/lodge/footer/footer/',
			),
			705 => array(
				'template_id'      	=> $this->template_prefix .'705',
				'source'            => $this->get_id(),
				'title'             => 'Modern Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_705.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/modern/footer/footer/',
			),
			706 => array(
				'template_id'      	=> $this->template_prefix .'706',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_706.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/footer/footer/',
			),
			707 => array(
				'template_id'      	=> $this->template_prefix .'707',
				'source'            => $this->get_id(),
				'title'             => 'Classic Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_707.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1629533558 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',

				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/classic/footer/footer/',
			),
			708 => array(
				'template_id'      	=> $this->template_prefix .'708',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_708.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/blog/footer/footer/',
			),
			709 => array(
				'template_id'      	=> $this->template_prefix .'709',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_709.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/footer/footer/',
			),
			
			710 => array(
				'template_id'      	=> $this->template_prefix .'710',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_710.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/blog/footer/footer/',
			),
			
			711 => array(
				'template_id'      	=> $this->template_prefix .'711',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_711.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/footer/footer/',
			),
			
			712 => array(
				'template_id'      	=> $this->template_prefix .'712',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_712.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/footer/footer/',
			),
			
			713 => array(
				'template_id'      	=> $this->template_prefix .'713',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Ski Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_713.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/footer/footer/',
			),
			
			714 => array(
				'template_id'      	=> $this->template_prefix .'714',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Footer',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_714.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme footer',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('footer'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/footer/footer/',
			),
			
			//Adding mega menu block templates
			801 => array(
				'template_id'      	=> $this->template_prefix .'801',
				'source'            => $this->get_id(),
				'title'             => 'Minimal Hoteller - Mega Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_801.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1550821224 ),
				'type'				=> 'block',
				'subtype'			=> 'theme mega menu',
				'author'            => 'ThemeGoods',

				'keywords'          => array('megamenu'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/minimal/megamenu/mega-menu/',
			),
			
			//Adding fullscreen menu block templates
			901 => array(
				'template_id'      	=> $this->template_prefix .'901',
				'source'            => $this->get_id(),
				'title'             => 'Resort Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_901.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1635135928 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv5.themegoods.com/resort/fullmenu/main-menu/',
			),
			
			902 => array(
				'template_id'      	=> $this->template_prefix .'902',
				'source'            => $this->get_id(),
				'title'             => 'Hostel Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_902.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/blog/fullmenu/main-fullscreen-menu/',
			),
			
			903 => array(
				'template_id'      	=> $this->template_prefix .'903',
				'source'            => $this->get_id(),
				'title'             => 'Multi Locations Hoteller - Check Avalability',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_903.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6.themegoods.com/multi-locations/fullmenu/check-avalability/',
			),
			
			904 => array(
				'template_id'      	=> $this->template_prefix .'904',
				'source'            => $this->get_id(),
				'title'             => 'Design Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_904.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/blog/fullmenu/fullscreen-menu/',
			),
			
			905 => array(
				'template_id'      	=> $this->template_prefix .'905',
				'source'            => $this->get_id(),
				'title'             => 'Island & Beach Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_905.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/island/fullmenu/fullscreen-menu/',
			),
			
			906 => array(
				'template_id'      	=> $this->template_prefix .'906',
				'source'            => $this->get_id(),
				'title'             => 'Lifestyle Hoteller - Tablet & Mobile Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_906.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/lifestyle/fullmenu/tablet-mobile-menu/',
			),
			
			907 => array(
				'template_id'      	=> $this->template_prefix .'907',
				'source'            => $this->get_id(),
				'title'             => 'Winter & Resort Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_907.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/ski/fullmenu/fullscreen-menu/',
			),
			
			908 => array(
				'template_id'      	=> $this->template_prefix .'908',
				'source'            => $this->get_id(),
				'title'             => 'Airport Hoteller - Fullscreen Menu',
				'thumbnail'         => 'https://assets.themegoods.com/demo/hoteller/templates/screenshots/hoteller_908.jpg',
				'date'      		=> date( get_option( 'date_format' ), 1658559206 ),
				'type'				=> 'block',
				'subtype'			=> 'theme fullscreen menu',
				'author'            => 'ThemeGoods',
			
				'keywords'          => array('fullscreen'),
				'is_pro'            => false,
				'has_page_settings' => false,
				'url'               => 'https://hotellerv6-5.themegoods.com/airport/fullmenu/fullscreen-menu/',
			),

		);
		
		if ( ! empty( $templates_data ) ) {
			foreach ( $templates_data as $template_data ) 
			{
				$templates_data['popularityIndex'] = 260;
				$templates_data['trendIndex'] = 125;
				
				$templates[] = $this->get_item( $template_data );
			}
		}

		if ( ! empty( $args ) ) {
			$templates = wp_list_filter( $templates, $args );
		}
		
		return $templates;
	}
	
	public function get_item( $template_data ) {
		return array(
			'template_id'     => $template_data['template_id'],
			'source'          => 'remote',
			'type'            => $template_data['type'],
			'subtype'         => $template_data['subtype'],
			'title'           => $template_data['title'],
			'thumbnail'       => $template_data['thumbnail'],
			'date'            => $template_data['date'],
			'author'          => $template_data['author'],
			'tags'            => $template_data['tags'],
			'isPro'           => ( 1 == $template_data['isPro'] ),
			'popularityIndex' => (int) $template_data['popularityIndex'],
			'trendIndex'      => (int) $template_data['trendIndex'],
			'hasPageSettings' => ( 1 == $template_data['hasPageSettings'] ),
			'url'             => $template_data['url'],
			'favorite'        => ( 1 == $template_data['favorite'] ),
			'accessLevel'     => 0,
		);
	}

	public function save_item( $template_data ) {
		return false;
	}

	public function update_item( $new_data ) {
		return false;
	}

	public function delete_template( $template_id ) {
		return false;
	}

	public function export_template( $template_id ) {
		return false;
	}

	public function get_data( array $args, $context = 'display' ) {
		$url	  = 'https://assets.themegoods.com/demo/hoteller/templates/json/'.$args['template_id'].'.json';
		$response = wp_remote_get( $url, array( 'timeout' => 60 ) );
		$body     = wp_remote_retrieve_body( $response );
		$body     = json_decode( $body, true );
		$data     = ! empty( $body['content'] ) ? $body['content'] : false;
		
		$result = array();

		$result['content']       = $this->replace_elements_ids($data);
		$result['content']       = $this->process_export_import_content( $result['content'], 'on_import' );
		$result['page_settings'] = array();

		return $result;
	}
}
